Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

List environment components

Returns the applications, jobs and databases of an environment, a page at a time.

GET/project/{project_id}/environment/{environment_id}/components
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
project_iduuidrequired

The unique identifier for the project

environment_iduuidrequired

The unique identifier of the environment

Query parameters
component_kindcomponent_kind

Optional component kind filter

Allowed:KjobKApplicationKHelmKDatabase
page[limit]integer

Maximum number of records to return

min 1 · max 100 · default: 10
page[number]integer

Page number

min 1 · default: 1
filter[with_deleted]boolean

Include deleted instances

default: false
Responses
200

Environment components retrieved successfully

recordscomponent[]required
Show properties
Array of component
iduuidrequired

A universally unique identifier (UUID) string

organization_iduuidrequired

A universally unique identifier (UUID) string

project_iduuidrequired

A universally unique identifier (UUID) string

cluster_iduuidrequired

A universally unique identifier (UUID) string

environment_iduuidrequired

A universally unique identifier (UUID) string

s_idstringrequired

Short identifier for the component resource.

namestringrequired

Component name.

descriptionstring

Optional component description.

kindcomponent_kindrequired

Component family.

Allowed:KjobKApplicationKHelmKDatabase
subtypestringrequired

Component subtype within its family, such as a database engine or job type.

created_atstring<date-time>required

Timestamp when the component was created.

updated_atstring<date-time>required

Timestamp when the component was last updated.

deleted_atstring<date-time> | null

Timestamp when the component was deleted.

last_run_iduuid | null

Last attempted component run identifier.

Show properties
Any of:
uuid
string<uuid>
null
null
last_run_statuscomponent_deployment_state | null

Last attempted component run status.

Show properties
Any of:
component_deployment_state
string
null
null
resource_statecomponent_resource_staterequired

Current component resource state.

Allowed:OUT_OF_DATEUP_TO_DATENEVER_DEPLOYED
paginationpagination_metarequired

Pagination metadata object containing information about the current page, total records, and navigation details for paginated API responses

Show properties
total_recordsintegerrequired

Total number of records available

current_pageintegerrequired

Current page number

total_pagesintegerrequired

Total number of pages available

next_pageinteger | nullrequired

Next page number, null if no next page exists

prev_pageinteger | nullrequired

Previous page number, null if no previous page exists

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X GET 'https://api.kapten.io/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/environment/497f6eca-6276-4993-bfeb-53cbbbba6f08/components' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "records": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
      "cluster_id": "d3d1bfdf-67c4-41fa-b065-858242731616",
      "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",
      "s_id": "string",
      "name": "string",
      "description": "string",
      "kind": "Kjob",
      "subtype": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z",
      "last_run_id": "08df5d92-87b1-40a2-b1e7-a5977dea4efc",
      "last_run_status": "QUEUED",
      "resource_state": "OUT_OF_DATE"
    }
  ],
  "pagination": {
    "total_records": 100,
    "current_page": 1,
    "total_pages": 10,
    "next_page": 2,
    "prev_page": null
  }
}

Was this page helpful?